Bug 10079 - GCC won't compile
Summary: GCC won't compile
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-09 05:29 UTC by Travis Roy
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-10 00:18:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Travis Roy 2000-03-09 05:29:25 UTC
creating cache ./config.cache
checking for gcc... gcc
checking whether the C compiler (gcc  ) works... no
configure: error: installation or configuration problem: C compiler cannot
create executables.


This happens with any program.

Comment 1 Jeff Johnson 2000-03-09 14:07:59 UTC
Look at config.log in the top level directory. You probably need to
install some other packages like glibc-devel in order to compile.

Comment 2 Travis Roy 2000-03-09 15:42:59 UTC
This is confirmed on more then two machines, it seems to happen when you don't
install the development packages at inital install. After installed gcc, cpp,
ecgs or anything like that it give the "C compiler cannot create executables"
error. even when you install all at once like "rpm -i egcs*.rpm binutils*.rpm
cpp*.rpm"

Comment 3 Travis Roy 2000-03-09 15:47:59 UTC
After installing Kernel headers and glibc-devel, that fixed the problem


Note You need to log in before you can comment on or make changes to this bug.